Oracle Primavera Unifier (January 2024 CPU)

critical Nessus Plugin ID 189185

Synopsis

The remote host is affected by multiple vulnerabilities

Description

The versions of Primavera Unifier installed on the remote host are affected by multiple vulnerabilities as referenced in the January 2024 CPU advisory.

- Vulnerability in the Primavera Unifier product of Oracle Construction and Engineering (component: Platform (Google Guava)). Supported versions that are affected are 19.12.0-19.12.16, 20.12.0-20.12.16, 21.12.0-21.12.17 and 22.12.0-22.12.11. Easily exploitable vulnerability allows low privileged attacker with logon to the infrastructure where Primavera Unifier executes to compromise Primavera Unifier.
Successful attacks of this vulnerability can result in unauthorized access to critical data or complete access to all Primavera Unifier accessible data as well as unauthorized update, insert or delete access to some of Primavera Unifier accessible data. (CVE-2023-2976)

- Vulnerability in the Primavera Unifier product of Oracle Construction and Engineering (component: Platform (Apache Commons Compress)). Supported versions that are affected are 19.12.0-19.12.16, 20.12.0-20.12.16, 21.12.0-21.12.17 and 22.12.0-22.12.11. Easily exploitable vulnerability allows unauthenticated attacker with logon to the infrastructure where Primavera Unifier executes to compromise Primavera Unifier.
Successful attacks require human interaction from a person other than the attacker. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Primavera Unifier. (CVE-2023-42503)

- Vulnerability in the Primavera Unifier product of Oracle Construction and Engineering (component: Document Manager (Apache ZooKeeper)). Supported versions that are affected are 19.12.0-19.12.16, 20.12.0-20.12.16, 21.12.0-21.12.17 and 22.12.0-22.12.11. Easily exploitable vulnerability allows unauthenticated attacker with network access via HTTP to compromise Primavera Unifier. Successful attacks of this vulnerability can result in unauthorized read access to a subset of Primavera Unifier accessible data. (CVE-2023-44981)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Apply the appropriate patch according to the January 2024 Oracle Critical Patch Update advisory.

See Also

https://www.oracle.com/docs/tech/security-alerts/cpujan2024csaf.json

https://www.oracle.com/security-alerts/cpujan2024.html

Plugin Details

Severity: Critical

ID: 189185

File Name: oracle_primavera_unifier_cpu_jan_2024.nasl

Version: 1.1

Type: remote

Family: CGI abuses

Published: 1/18/2024

Updated: 1/19/2024

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 5.2

CVSS v2

Risk Factor: High

Base Score: 9.4

Temporal Score: 7

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:N

CVSS Score Source: CVE-2023-44981

CVSS v3

Risk Factor: Critical

Base Score: 9.1

Temporal Score: 7.9

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:oracle:primavera_unifier

Required KB Items: installed_sw/Oracle Primavera Unifier, www/weblogic

Exploit Ease: No known exploits are available

Patch Publication Date: 1/16/2024

Vulnerability Publication Date: 1/16/2024

Reference Information

CVE: CVE-2023-2976, CVE-2023-42503, CVE-2023-44981

IAVA: 2024-A-0026